<?php 
if (!isset($_SESSION)) {
  session_start();
  global $usuario;

  $usuario = $_SESSION["id_usuario"];

} 
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
function email_voz($idcliente){
      include '../conexao.php';
      $query_amigo = "SELECT nome_cli, email_cli 
                      FROM cliente 
                      WHERE idcliente = $idcliente";
    // echo $query_amigo; die();
      $cont = 0;
      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");
      while($buscar_amigo = mysqli_fetch_assoc($executa_query)){
        $nome_cli = $buscar_amigo["nome_cli"];
        $email_cli= $buscar_amigo["email_cli"];


        $dados[$cont]["nome_cli"] = $nome_cli;
        $dados[$cont]["email_cli"]= $email_cli;

        $cont++;
      }

    return $dados;
 
}
//ob_start(); 
error_reporting(0);
ini_set(“display_errors”, 0 ); 
set_time_limit(0);
ini_set("upload_max_filesize", "10M");
ini_set("max_execution_time", "800");
ini_set("memory_limit", "-1");
ini_set("realpath_cache_ttl", "120");


$usu       = pegaUsuario();
$executa   = nome_user($usuario);
$lot       = dados_lote($_GET['lote']);
$quad      = dados_quadra($_GET['idquadra']);
$emp       = dados_empreendimento($_GET['empreendimento_id']);
$empreendimento_id = addslashes($_GET['empreendimento_id']);





$origem_venda = $_GET['origem_idorigem'];

$excel = $_GET['excel'];




if($_GET["completo"] == "on"){

       $idempreendimento = $_GET['empreendimento_id'];
     $lote = $_GET['lote'];
     $status_venda = $_GET['status_venda'];
     $imobiliaria_id = $_GET['imobiliaria_id'];
     $corretor_id = $_GET['imobiliaria_id'];
     $inicio = $_GET['inicio'];
     $fim = $_GET['fim'];
     $ordenar_por = $_GET['ordenar_por'];
     $origem_venda = $_GET['origem_idorigem'];
     $situacao_ass_contrato = $_GET['situacao_ass_contrato'];


    

     
     
    // $arg =  'empreendimento_id=' Todos&lote=&status_venda=Todos&imobiliaria_id=Todos&corretor_id=0&inicio=&fim=&ordenar_por=
    
     $arg = 'empreendimento_id=' . $idempreendimento . '&lote=' . $lote . '&status_venda=' . $status_venda . '&imobiliaria_id=' . $imobiliaria_id . '&corretor_id=' . $corretor_id . '&inicio=' . $inicio . '&fim=' . $fim . '&ordenar_por=' .           $ordenar_por . '&usu=' . $usuario . '&origem_venda=' . $origem_venda  .'&excel=' . $excel . '&situacao_ass_contrato=' .  $situacao_ass_contrato ;
    //echo "<br>parametros passados<br> " . $arg; die();

    ?>
   <script type="text/javascript">
       window.location.href = 'vendas_completo.php?<?php echo $arg?>'
             
   </script>

    <?php

}





if($_GET['empreendimento_id'] == 'Todos'){

     $idempreendimento = $_GET['empreendimento_id'];
     $lote = $_GET['lote'];
     $status_venda = $_GET['status_venda'];
     $imobiliaria_id = $_GET['imobiliaria_id'];
     $corretor_id = $_GET['imobiliaria_id'];
     $inicio = $_GET['inicio'];
     $fim = $_GET['fim'];
     $ordenar_por = $_GET['ordenar_por'];
     $origem_venda = $_GET['origem_idorigem'];
     $situacao_ass_contrato = $_GET['situacao_ass_contrato'];


    

     
     
    // $arg =  'empreendimento_id=' Todos&lote=&status_venda=Todos&imobiliaria_id=Todos&corretor_id=0&inicio=&fim=&ordenar_por=
    
     $arg = 'empreendimento_id=' . $idempreendimento . '&lote=' . $lote . '&status_venda=' . $status_venda . '&imobiliaria_id=' . $imobiliaria_id . '&corretor_id=' . $corretor_id . '&inicio=' . $inicio . '&fim=' . $fim . '&ordenar_por=' .           $ordenar_por . '&usu=' . $usuario . '&origem_venda=' . $origem_venda  .'&excel=' . $excel . '&situacao_ass_contrato=' .  $situacao_ass_contrato ;
    //echo "<br>parametros passados<br> " . $arg; die();

    ?>
   <script type="text/javascript">
       window.location.href = 'rel_vendas_todos.php?<?php echo $arg?>'
             
   </script>

    <?php
}






//$usuario = $_SESSION['imobiliaria_idimobiliaria'];

function pegaUsuario(){
      include '../conexao.php';
      global $usuario;
      $query_amigo = "SELECT nome_cli FROM cliente WHERE idcliente = '$usuario'";
     

      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");
      $buscar_amigo = mysqli_fetch_assoc($executa_query);

      $dados = $buscar_amigo['nome_cli'];
    
 
      return $dados;
}

$usu = pegaUsuario();

function simulacao_parcela($id_simulacao){
    include "../conexao.php";
          $query = mysqli_query($db, "SELECT *, COUNT(`tipo_parcela`) AS total FROM `simulacao_parcela` WHERE `id_venda` = $id_simulacao GROUP BY `valor`, `tipo_parcela` ORDER BY `id` ASC") or die(mysqli_error($db));

           // $executa_query = mysqli_query ($db,$query); 

            while ($assoc = mysqli_fetch_assoc($query)) {           
 $tipo_parcela  =  $assoc['tipo_parcela']; 
 $num_sequencia =  $assoc['num_sequencia']; 
 $valor_parcela =  number_format($assoc['valor'], 2, '.', ''); 
 $vencimento_primeira =  date('d/m/Y', strtotime($assoc['data_vencimento']));



 $qtd_parcela = explode("/", $num_sequencia);
 $qtd_parcela_total  = $qtd_parcela[1];

$total_entrada = $assoc['valor'] *  $qtd_parcela_total;
$total_entrada = number_format($total_entrada, 2, '.', ''); 

        if($tipo_parcela == 'Parcela Sinal'){
          $dados["ParcelaSinal"] = $tipo_parcela;
          $dados["ValorParcelaSinal"] = $valor_parcela;
          $dados["QtdSinal"] = $qtd_parcela_total;
          $dados["VencimentoPrimeira"] = $vencimento_primeira;
          $dados["TotalSinal"] = $total_entrada;

        }

        if($tipo_parcela == 'Parcela Entrada'){
          $dados["ParcelaEntrada"] = $tipo_parcela;
          $dados["ValorParcelaEntrada"] = $valor_parcela;
          $dados["QtdEntrada"] = $qtd_parcela_total;
          $dados["TotalEntrada"] = $total_entrada;
          $dados["VencimentoPrimeira"] = $vencimento_primeira;


        }

        if($tipo_parcela == 'Parcela Financiamento'){
          $dados["ParcelaFinanciamento"] = $tipo_parcela;
          $dados["ValorParcelaFinanciamento"] = $valor_parcela;
          $dados["QtdFinanciamento"] = $qtd_parcela_total;
          
          if($dados["VencimentoPrimeira"] == ""){
          $dados["VencimentoPrimeira"] = $vencimento_primeira;
          }


        }


        if($tipo_parcela == 'Parcela Intermediaria'){
          $dados["ParcelaInter"] = $tipo_parcela;
          $dados["ValorParcelaInter"] = $valor_parcela;
          $dados["QtdInter"] = $qtd_parcela_total;

        }



    }

          return $dados;
}

function dados_quadra($quadra_id){
    include "../conexao.php";
            $query_amigo = "SELECT * FROM produto                           
                            WHERE idproduto = $quadra_id";                           
            $executa_query = mysqli_query ($db,$query_amigo);                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
            $quadra   = $buscar_amigo['quadra'];
          }

          return $quadra;
}

function dados_lote($lote_id){
    include "../conexao.php";
            $query_amigo = "SELECT * FROM lote                           
                            WHERE idlote = $lote_id";                           
            $executa_query = mysqli_query ($db,$query_amigo);                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
            $lote   = $buscar_amigo['lote'];
          }

          return $lote;
}

function nome_user($id){
    include "../conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                $executa_igpm = mysqli_query ($db, $query_igpm);
                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 

function dados_empreendimento($empreendimento_id){
    include "../conexao.php";
            $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                            WHERE idempreendimento_cadastro = $empreendimento_id";                           
            $executa_query = mysqli_query ($db,$query_amigo);                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
            $descricao_empreendimento   = $buscar_amigo['descricao_empreendimento'];
          }

          return $descricao_empreendimento;
}
function fotologo($empreendimento_id){
    include "../conexao.php";
            $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                            WHERE idempreendimento_cadastro = $empreendimento_id";                           
            $executa_query = mysqli_query ($db,$query_amigo);                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
            $img   = $buscar_amigo['img_lote'];
          }

          return $img;
}
function converterdata($dateSql){
    $ano= substr($dateSql, 6);
    $mes= substr($dateSql, 3,-5);
    $dia= substr($dateSql, 0,-8);
    return $ano."-".$mes."-".$dia;
}

  function grava_log1($data_log,$usu,$descricao_log){

                      include "../conexao.php";
                      $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usu','$descricao_log')";
                  // echo $query_log; die();

                      $executa_log = mysqli_query($db, $query_log);

                      return 1;
                    }



date_default_timezone_set('America/Sao_Paulo');               
$horario_relatorio = date('d-m-Y H:i:s');

$data_venda = date("d-m-Y");
$arrayData = explode("-",$data_venda);

// Imprimindo os dados:
$dia = $arrayData[0];
$mes = intval($arrayData[1]);
$ano = $arrayData[2];


$dia_hoje = $dia;
$ano_hoje = $ano;
 
 $hoje = getdate();

$meses = array (1 => "Janeiro", 2 => "Fevereiro", 3 => "Março", 4 => "Abril", 5 => "Maio", 6 => "Junho", 7 => "Julho", 8 => "Agosto", 9 => "Setembro", 10 => "Outubro", 11 => "Novembro", 12 => "Dezembro");


 $nome_mes = $meses[$mes];


  
  $idempreendimento         = $_GET["empreendimento_id"];
  $quadra         = $_GET["idquadra"];
  $lote           = $_GET["lote"];

  $status_venda   = $_GET["status_venda"];

  $imobiliaria_id = $_GET["imobiliaria_id"];
  $corretor_id    = $_GET["corretor_id"];
  
  $inicio                   = $_GET["inicio"];
  $fim                      = $_GET["fim"];
  

  $ordenar_por = $_GET["ordenar_por"];



   if($ordenar_por == "quadra_lote"){
        // $ord = "produto.quadra, venda.lote_idlote";
         $ord = "CAST(produto.quadra as UNSIGNED), CAST(lote.lote as UNSIGNED)";

     }else if($ordenar_por == 'data_venda'){
         $ord = "data_venda";
     }else if($ordenar_por == 'cliente'){
         $ord = "cli.nome_cli";    
     }else{
        $ord = 'idvenda desc';

     }

  


  $where = 'idvenda > 0';


   


  if($status_venda != 'Todos' AND $status_venda != ''){
    $where .= " AND status_venda =".$status_venda;
  }

   if(($imobiliaria_id != 'Todos' AND $imobiliaria_id != '') AND ($corretor_id == 0 AND $corretor_id == '')){
    $where .= " AND (imob.imob_id =".$imobiliaria_id." or imob.idcliente =".$imobiliaria_id.")";
  } 
  
  if(($imobiliaria_id != 'Todos' AND $imobiliaria_id != '')AND ($corretor_id != 0 and $corretor_id != '')){
    $where .= " AND  vnd.imobiliaria_idimobiliaria =".$corretor_id;
  }

  if($quadra != '' AND $quadra != 0){
    $where .= " AND vnd.produto_idproduto = '$quadra'";
  }

   if($lote != '' AND $lote != 0){
    $where .= " AND vnd.lote_idlote = '$lote'";
  }

  if($inicio != '' AND $fim != ''){
        $where .=" AND STR_TO_DATE(data_venda, '%d-%m-%Y') BETWEEN  '".$inicio."' and '".$fim."' ";

      }

if($status_venda != 'Todos'){

if($status_venda == 0){
  $exibir_status = 'Proposta em Análise';
}elseif($status_venda == 1){
  $exibir_status = 'Proposta Recusada';
}elseif($status_venda == 2){
  $exibir_status = 'Proposta Aprovada';
}elseif($status_venda == 3){
  $exibir_status = 'Contrato Ativo';
}else{
  $exibir_status ='Contrato Concluido';
}

}

if($inicio != '' and $inicio != 0 and $inicio != 'Todos'){
    $rel_inicio = date("d-m-Y", strtotime($inicio));
    $rel_fim    = date("d-m-Y", strtotime($fim));

    $rel_periodo = "$rel_inicio"." até ".$rel_fim;
}else{
  $rel_periodo = '';
}

$rel_empreendimento = dados_empreendimento($idempreendimento);
$logo = fotologo($idempreendimento);
$rel_quadra = dados_quadra($quadra);
$rel_lote   = dados_lote($lote);

$rel_imobiliaria = nome_user($imobiliaria_id);
$rel_corretor    = nome_user($corretor_id);

 if($empreendimento_id != '' and $empreendimento_id != 0 and $empreendimento_id != 'Todos'){
    $rel_empreendimento = dados_empreendimento($empreendimento_id);
    $logo = fotologo($empreendimento_id);
  }else{
    $rel_empreendimento = '';
  }
 
     if(isset($_GET['empreendimento_id']) AND $_GET['empreendimento_id'] != 'Todos' ){ 

              $image = "<img src='../img/$empreendimento_id/$logo' height='110' />";
         }else{
              $image = "";
         }

 
 
      $html = "<table style='width:100%' border='0'>
    <tr>
      <td colspan='2'>$image</td>
      <td colspan='2' style='text-align: right'>$dia_hoje de $nome_mes de $ano_hoje<br><font style='font-size: 10px'> Emitidor por.: $usu</font></td>
    </tr>
    <tr>
      <td colspan='4' style='text-align: center; font-weight: bold;'>RELATÓRIO DE VENDAS</td>
    </tr>
 
    <tr>
      <td colspan='3'><span style='font-weight: bold'>Empreendimento</span>: $rel_empreendimento</td>
      <td><span style='font-weight: bold'>Q:</span> $rel_quadra / <span style='font-weight: bold'>L:</span> $rel_lote</td>
    </tr>
    <tr>
      <td colspan='2'><span style='font-weight: bold'>Status</span>: $exibir_status </td>
      <td><span style='font-weight: bold'>Imobiliaria:</span> $rel_imobiliaria</td>
      <td><span style='font-weight: bold'>Corretor:</span>: $rel_corretor </td>
    </tr>
    <tr>
      <td colspan='2'><span style='font-weight: bold'>Periodo</span>: $rel_periodo</td>
    </tr>
</table>";


$html .="<table style='width:100%; font-size:10px;' height='127' border='0' id='table'>

    <tr bgcolor='#b8b8b8'>
      <td style='text-align: center'><strong>Nº Ficha</strong></td>
      <td style='text-align: center'><strong>Imobiliaria</strong></td>
      <td style='text-align: center'><strong>Cliente</strong></td>
      <td style='text-align: center'><strong>Data Venda</strong></td>
      <td style='text-align: center'><strong>Q/L</strong></td>

      <td style='text-align: center'><strong>Valor Venda</strong></td>

      <td style='text-align: center'><strong>Total A vista</strong></td>
      <td style='text-align: center'><strong>Qnt Parc A vista</strong></td>
      <td style='text-align: center'><strong>Valor Parcela A vista</strong></td>

      <td style='text-align: center'><strong>Entrada</strong></td>      
      <td style='text-align: center'><strong>Qtd Entrada</strong></td>
      <td style='text-align: center'><strong>Parcela Entrada</strong></td>

      <td style='text-align: center'><strong>Saldo Devedor</strong></td>
      <td style='text-align: center'><strong>Qtd Parcelas</strong></td>
      <td style='text-align: center'><strong>Parcela Financiamento</strong></td>
      <td style='text-align: center'><strong>1º Vencimento</strong></td>
      <td style='text-align: center'><strong>Taxa %</strong></td>

    </tr>";

    $inicio  = converterdata($inicio);
          $fim     = converterdata($fim);

   $cont_quantidade = 0;

   $cont_sinal = 0;
   $cont_entrada = 0;
   $cont_valor_venda = 0;
   $cont_qtd_entrada = 0;
   $cont_parcela_entrada = 0;
   $cont_saldo_devedor = 0;
   $cont_parcela_finan = 0;
   $cont_total_sinal = 0;


     if($_GET["empreendimento_id"] == 'Todos'){
          include "../conexao.php";
       $query_amigo = "SELECT vnd.id_simulacao, vnd.valor_desconto, vnd.valor_entrada, vnd.vencimento_primeira, vnd.valor_para_parcelamento, vnd.plano_pagamento, vnd.taxa_financiamento, vnd.parcela_entrada, vnd.vencimento_restante, vnd.entrada_restante, vnd.valor_parcela_financiamento, vnd.valor_parcela_entrada, vnd.imobiliaria_idimobiliaria, imob.idcliente as imobid, cli.nome_cli as nomecliente, cliente_idcliente,idvenda, idlote, lote, quadra, libera_proposta, status_venda, data_venda, vnd.produto_idproduto, vnd.lote_idlote FROM venda vnd
                INNER JOIN cliente imob ON vnd.imobiliaria_idimobiliaria = imob.idcliente
                INNER JOIN cliente cli  ON vnd.cliente_idcliente = cli.idcliente
                INNER JOIN lote    ON vnd.lote_idlote = lote.idlote 
                INNER JOIN produto ON produto.idproduto = lote.produto_idproduto 
                INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
                INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
                WHERE  $where
                order by $ord";
         
         
     }else{

        include "../conexao.php";
       $query_amigo = "SELECT vnd.id_simulacao, vnd.valor_desconto, vnd.valor_entrada, vnd.vencimento_primeira, vnd.valor_para_parcelamento, vnd.plano_pagamento, vnd.taxa_financiamento, vnd.parcela_entrada, vnd.vencimento_restante, vnd.entrada_restante, vnd.valor_parcela_financiamento, vnd.valor_parcela_entrada, vnd.imobiliaria_idimobiliaria, imob.idcliente as imobid, cli.nome_cli as nomecliente, cliente_idcliente,idvenda, idlote, lote, quadra, libera_proposta, status_venda, data_venda, vnd.produto_idproduto, vnd.lote_idlote FROM venda vnd
                INNER JOIN cliente imob ON vnd.imobiliaria_idimobiliaria = imob.idcliente
                INNER JOIN cliente cli  ON vnd.cliente_idcliente = cli.idcliente
                INNER JOIN lote    ON vnd.lote_idlote = lote.idlote 
                INNER JOIN produto ON produto.idproduto = lote.produto_idproduto 
                INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
                INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
                WHERE empreendimento_cadastro_id = $idempreendimento  AND $where
                order by $ord";
     }
             // echo $query_amigo; die();

                 $executa_query = mysqli_query ($db,$query_amigo) or die ("Erro ao listar empreendimento");
                
                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
                 
            $valor_desconto           = $buscar_amigo['valor_desconto'];
            $valor_entrada            = $buscar_amigo['valor_entrada'];
            $vencimento_primeira      = $buscar_amigo['vencimento_primeira'];
            $valor_para_parcelamento  = $buscar_amigo['valor_para_parcelamento'];
            $plano_pagamento          = $buscar_amigo['plano_pagamento'];
            $taxa_financiamento       = $buscar_amigo['taxa_financiamento'];
            $parcela_entrada          = $buscar_amigo['parcela_entrada'];
            $vencimento_restante      = $buscar_amigo['vencimento_restante'];
            $entrada_restante         = $buscar_amigo['entrada_restante'];
            $valor_parcela_financiamento  = $buscar_amigo['valor_parcela_financiamento'];
            $valor_parcela_entrada        = $buscar_amigo['valor_parcela_entrada'];
            $id_simulacao               = $buscar_amigo['id_simulacao'];


            $idcliente        = $buscar_amigo['idcliente'];
            $idvenda          = $buscar_amigo["idvenda"];
            $idlote           = $buscar_amigo["idlote"];
            $nome_cli         = $buscar_amigo["nomecliente"];
            $lote             = $buscar_amigo["lote"];
            $quadra           = $buscar_amigo["quadra"];
            $libera_proposta  = $buscar_amigo["libera_proposta"];
            $status_venda     = $buscar_amigo["status_venda"];
            $data_venda       = $buscar_amigo["data_venda"];
            $idvenda_imob2       = $buscar_amigo["imobid"];
            $cliente_alterei       = $buscar_amigo["cliente_idcliente"];
            
              $nome_imob_v = nome_user($idvenda_imob2);
              $imobiliaria = nome_user($cliente_alterei);           

              $cont_quantidade = $cont_quantidade + 1;

              $simulacao_parcela = simulacao_parcela($id_simulacao);
            

              $valor_para_parcelamento = $valor_desconto - $simulacao_parcela["TotalEntrada"] - $simulacao_parcela["TotalSinal"];

            $cont_sinal = $cont_sinal + $simulacao_parcela["ValorParcelaSinal"];
            $cont_entrada = $cont_entrada + $simulacao_parcela["TotalEntrada"];
            $cont_valor_venda = $cont_valor_venda + $valor_desconto;
            $cont_parcela_entrada = $cont_parcela_entrada + $simulacao_parcela["ValorParcelaEntrada"];
            $cont_saldo_devedor = $cont_saldo_devedor + $valor_para_parcelamento;
            $cont_parcela_finan = $cont_parcela_finan + $simulacao_parcela["ValorParcelaFinanciamento"];

            $cont_total_sinal += $simulacao_parcela["TotalSinal"];

            

            $valor_para_parcelamento = 'R$ '.number_format($valor_para_parcelamento, 2, ',', '.');
            $valor_desconto = 'R$ '.number_format($valor_desconto, 2, ',', '.');
 

           $ValorParcelaSinal         = 'R$ '.number_format($simulacao_parcela["ValorParcelaSinal"], 2,',', '.');
           $ValorTotalSinal         = 'R$ '.number_format($simulacao_parcela["TotalSinal"], 2,',', '.');
           $QntSinal         = $simulacao_parcela["QtdSinal"];



           $TotalEntrada             = 'R$ '.number_format($simulacao_parcela["TotalEntrada"], 2,',', '.');
           $ValorParcelaEntrada       = 'R$ '.number_format($simulacao_parcela["ValorParcelaEntrada"], 2,',', '.');
           $ValorParcelaFinanciamento = 'R$ '.number_format($simulacao_parcela["ValorParcelaFinanciamento"], 2,',', '.');


 $html .="<tr>
  <td style='text-align: center'>$idvenda</td>
  <td style='text-align: center'>  $nome_imob_v </td>
  <td style='text-align: center'>$imobiliaria</td>
  <td style='text-align: center'>$data_venda</td>
  <td style='text-align: center'>$quadra / $lote</td>

      <td style='text-align: center'>$valor_desconto</td>

      <td style='text-align: center'>$ValorTotalSinal</td>
      <td style='text-align: center'>$QntSinal</td>
      <td style='text-align: center'>$ValorParcelaSinal</td>


      <td style='text-align: center'>$TotalEntrada</td>      
      <td style='text-align: center'>".$simulacao_parcela["QtdEntrada"]."</td>
      <td style='text-align: center'>$ValorParcelaEntrada</td>

      <td style='text-align: center'>$valor_para_parcelamento</td>
      <td style='text-align: center'>".$simulacao_parcela["QtdFinanciamento"]."</td>
      <td style='text-align: center'>$ValorParcelaFinanciamento</td>
      <td style='text-align: center'>".$simulacao_parcela["VencimentoPrimeira"]."</td>
      <td style='text-align: center'>$taxa_financiamento</td>
 
  </tr>";

}



 

            $cont_sinal             = number_format($cont_sinal, 2, ',', '.');
            $cont_entrada           = number_format($cont_entrada, 2, ',', '.');
            $cont_valor_venda       = number_format($cont_valor_venda, 2, ',', '.');
            $cont_parcela_entrada   = number_format($cont_parcela_entrada, 2, ',', '.');
            $cont_saldo_devedor     = number_format($cont_saldo_devedor, 2, ',', '.');
            $cont_parcela_finan     = number_format($cont_parcela_finan, 2, ',', '.');
            $cont_total_sinal       = number_format($cont_total_sinal, 2, ',', '.');


 $html .="<tr>
  <td colspan='5' style='text-align: center'><strong>Subtotal</strong></td>



      <td style='text-align: center'><strong>$cont_valor_venda</strong></td>

      <td style='text-align: center'><strong>$cont_total_sinal</strong></td>
      <td style='text-align: center'><strong></strong></td>

      <td style='text-align: center'><strong>$cont_sinal</strong></td>
      <td style='text-align: center'><strong>$cont_entrada</strong></td>      
      <td style='text-align: center'></td>
      <td style='text-align: center'><strong>$cont_parcela_entrada</strong></td>

      <td style='text-align: center'><strong>$cont_saldo_devedor</strong></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'><strong>$cont_parcela_finan</strong></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
 
  </tr>";

 $html .="<tr>
  <td colspan='5' style='text-align: center'><strong>Total de Registros.: $cont_quantidade</strong></td>



      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>      
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>

      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
      <td style='text-align: center'></td>
 
  </tr>";



$html .="</table>";

echo $html;

/*
$dompdf->load_html($html);
  $dompdf->set_paper("A4","landscape");
  ob_clean();

  $pdf = $dompdf->render();
  $canvas = $dompdf->get_canvas(); 
  $font = Font_Metrics::get_font("helvetica", "bold"); 
  $canvas->page_text(510, 18, "", $font, 6, array(0,0,0)); 
  $canvas->page_text(770, 20, "Pág. {PAGE_NUM}/{PAGE_COUNT}", $font, 8, array(0,0,0)); 
  header("Content-type: application/pdf");     
 
 
$dompdf->stream(
    "saida.pdf", 
    array(
        "Attachment" => false 
    )
);
*/







    if(isset($_GET['excel'])){

      if($_GET['excel'] == "on"){
      ?>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
        <script type="text/javascript" src="tableExport/libs/FileSaver/FileSaver.min.js"></script>
        <script type="text/javascript" src="tableExport/libs/js-xlsx/xlsx.core.min.js"></script>
        <script type="text/javascript" src="tableExport/tableExport.min.js"></script>

        <script type="text/javascript">
          
          $('#table').tableExport({
              type:'xlsx',
              postCallback: function(){
                      console.log('done loading my humugoid file')
              }
          });
          
        </script>

      <?php
    }}
 





if(isset($_GET["voz_email"])){



require '../vendor2/autoload.php';

// Instantiation and passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
  //  $mail->SMTPDebug = 2;                                       // Enable verbose debug output
    $mail->isSMTP();                                            // Set mailer to use SMTP
    $mail->Host = 'br918.hostgator.com.br';  // Specify main and backup SMTP servers
    $mail->SMTPAuth   = true;                                   // Enable SMTP authentication
    $mail->Username = 'correio@immobileb.com.br';
    $mail->Password = 'pao123';                              // SMTP password
    $mail->SMTPSecure = 'tls';                                  // Enable TLS encryption, `ssl` also accepted
    $mail->Port       = 587;                                    // TCP port to connect to

    




    //Recipients
    $mail->setFrom('correio@immobile.com.br', 'IB');
    $corretores = email_voz($usuario);

// echo "<pre>";
// print_r($corretores);
// echo "</pre>";

// die();

    foreach ($corretores as $key => $value) {

      // echo $key;
      // echo $value;



        $email_cli_t = $value["email_cli"];
        $nome_cli_t  = $value["nome_cli"];

        // echo "Email: ".$email_cli_t;
        // echo "Nome: ".$nome_cli_t."<br>";

         $mail->addAddress($email_cli_t, $nome_cli_t);     // Add a recipient

    }


// die();




    // Content
    $mail->isHTML(true);                                  // Set email format to HTML
    $mail->Subject = 'Vendas |'.$nome_empreendimento;

$mail->Body    = $html;
      $mail->AltBody = 'Vendas';

    $mail->send();
}catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}

}
?>


  <script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery/jquery-1.9.1.min.js"></script>



<!-- 
<script type="text/javascript" src="../js/voice.js"></script>
<input type="hidden" class="form-control" id="textarea" /> -->

<!-- <script type="text/javascript">print()</script> -->